Source: haskell-boomerang
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-semigroups-dev (>= 0.16),
 libghc-semigroups-dev (<< 0.20),
 libghc-semigroups-prof,
Build-Depends-Indep: ghc-doc,
 libghc-semigroups-doc,
Standards-Version: 4.5.0
Homepage: https://hackage.haskell.org/package/boomerang
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-boomerang
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-boomerang]

Package: libghc-boomerang-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: invertible parsing and printing
 Specify a single unified grammar which can be used for parsing and
 pretty-printing.
 .
 Boomerang is a DSL for creating parsers and pretty-printers using a single
 specification. Instead of writing a parser, and then writing a separate
 pretty-printer, both are created at once. This saves time, and ensures that
 the parser and pretty-printer are inverses and stay in-sync with each other.
 .
 Boomerang is a generalized derivative of the Zwaluw library created by
 Sjoerd Visscher and Martijn van Steenbergen.
 .
 This package contains the normal library files.

Package: libghc-boomerang-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: invertible parsing and printing; profiling libraries
 Specify a single unified grammar which can be used for parsing and
 pretty-printing.
 .
 Boomerang is a DSL for creating parsers and pretty-printers using a single
 specification. Instead of writing a parser, and then writing a separate
 pretty-printer, both are created at once. This saves time, and ensures that
 the parser and pretty-printer are inverses and stay in-sync with each other.
 .
 Boomerang is a generalized derivative of the Zwaluw library created by
 Sjoerd Visscher and Martijn van Steenbergen.
 .
 This package contains the libraries compiled with profiling enabled.

Package: libghc-boomerang-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: invertible parsing and printing; documentation
 Specify a single unified grammar which can be used for parsing and
 pretty-printing.
 .
 Boomerang is a DSL for creating parsers and pretty-printers using a single
 specification. Instead of writing a parser, and then writing a separate
 pretty-printer, both are created at once. This saves time, and ensures that
 the parser and pretty-printer are inverses and stay in-sync with each other.
 .
 Boomerang is a generalized derivative of the Zwaluw library created by
 Sjoerd Visscher and Martijn van Steenbergen.
 .
 This package contains the documentation files.
